# $Revision: 1.4 $, $Date: 2006/07/11 12:41:55 $
Summary:	OpenOffice.org 2 Quickstarter
Summary(pl):	Szybszy start OpenOffice.org 2
Name:		oooqs2
Version:	1.0.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.berlios.de/segfaultskde/%{name}-%{version}.tar.gz
# Source0-md5:	6b5cf0d2a6497ff5210242d55e467e6f
Patch0:		%{name}-desktop.patch
URL:		http://segfaultskde.berlios.de/oooqs/
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 3.0.5a
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenOffice.org2 Quickstarter is a small application that runs in the
KDE SystemTray. It is used to quickly start the different
OpenOffice.org 2 modules without having to go through the K-Menu.

%description -l pl
Szybszy start OpenOffice.org 2 jest ma aplikacj, ktra uruchamia
si w KDE System Tray. Mona go uywa do przypieszania startu
moduw OpenOffice.org 2 bez wchodzenia w menu.

%prep
%setup -q
%patch0 -p0

%build
export CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	shelldesktopdir=%{_desktopdir}/kde

%find_lang oooqs --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f oooqs.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_iconsdir}/[!l]*/*/*/*
%{_desktopdir}/kde/*.desktop
%{_datadir}/autostart/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: oooqs2.spec,v $
Revision 1.4  2006/07/11 12:41:55  shadzik
- up to 1.0.1

Revision 1.3  2006/02/25 18:23:20  qboosh
- updated doc

Revision 1.2  2006/02/21 11:28:34  piti
- added --with-kde to %find_lang macro

Revision 1.1  2006/02/21 10:21:54  rotom
- new for OpenOffice.org 2.x
